package com.persagy.dmp.rwd.edit.model;

import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.dmp.rwd.edit.enumeration.EnumOperationType;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Setter
@Getter
public class ChangeRecordModel {

    private Integer id;
    private String code;
    private String infoCode;
    private ObjectNode value;
    private EnumOperationType operationType;//操作类型
    private String operationUser;//操作人
    private Date operationTime;//操作时间
    private String confirmUser;//确认人
    private Date confirmTime;//确认时间
    private String publishUser;//发布人
    private Date publishTime;//发布时间
    private Date finishTime;//完成时间
    private Boolean valid;//true 正常 false 失效
    private Integer state;//状态 0.取消 1.初始化 2.确认 3.发布 4.完成

}
